# onyx_vlan – Manage VLANs on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of VLANs on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of VLANs definitions.
name - |  | Name of the VLAN.

purge
boolean

Choices:
- no ←
- yes

Purge VLANs not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent

State of the VLAN configuration.

vlan_id - |  | ID of the VLAN.

## Examples

    - name: configure VLAN ID and name
      onyx_vlan:
        vlan_id: 20
        name: test-vlan

    - name: remove configuration
      onyx_vlan:
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always. | The list of configuration mode commands to send to the device Sample: ['vlan 20', 'name test-vlan', 'exit']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd) Alex Tabachnik (@atabachnik)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.